{-# LANGUAGE TemplateHaskell #-}

module PayPal.Adaptive.Core.PayResponse.PaymentInfo.Receiver where

import           Data.Aeson.TH
import           Data.Char (toLower)

import           Import

data Receiver = Receiver
  { _reAmount    :: Text
  -- ^ Haven't converted this to Money yet because I'm not sure how
  -- to determine its currency.
  , _reEmail     :: Text
  , _reAccountId :: Text
  } deriving (Eq, Show)

$(deriveFromJSON defaultOptions { fieldLabelModifier = (\(x:xs) -> toLower x:xs) . drop 3 } ''Receiver)
$(makeLenses ''Receiver)
